Bug 473099 - VAR=VALUE options do not get passed to configure command line
VAR=VALUE options do not get passed to configure command line
Product: Fedora
Classification: Fedora
Component: eclipse-cdt (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Johnston
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-11-26 10:15 EST by Dave
Modified: 2010-06-28 06:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 06:50:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave 2008-11-26 10:15:58 EST
Description of problem:
I'm trying to pass VAR=VALUE options to the configure script command line, by using the "User-specified configuration options" text box.

Anything I write there of the form VAR=VALUE does not get passed to configure, unless there is a --with-<something> after it.

Version-Release number of selected component (if applicable):
Autotools plugin 0.9.6

Steps to Reproduce:
0. Open some autotools project
1. In the configure script settings dialog write "VAR=VALUE" in the text box. 
2. Build the project
3. Check console for configure command line, it will not be there.
4. Change text to "VAR=VALUE --without-bug"
5. Build project
Actual results:
.../configure --cache-file=config.cache  VAR=value --without-bug
Comment 1 Jeff Johnston 2009-01-06 17:53:24 EST
A fix has been made.  The code was splitting up the user arg string based on the substring "--".  It was not passing the string if it did not find "--" in the args.  As mentioned this has been fixed and will appear in the next release.
Comment 2 Bug Zapper 2009-06-09 05:56:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 3 Bug Zapper 2010-04-27 08:22:41 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2010-06-28 06:50:17 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.